Package weka.gui.scripting.event

# Enum Class ScriptExecutionEvent.Type

java.lang.Object
java.lang.Enum<ScriptExecutionEvent.Type>
weka.gui.scripting.event.ScriptExecutionEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<ScriptExecutionEvent.Type>`, `Constable`

Enclosing class:
  ScriptExecutionEvent

public static enum ScriptExecutionEvent.Type extends Enum<ScriptExecutionEvent.Type>
Defines the type of event.

Version:
  $Revision: 8034 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  finished with error.
  `FINISHED`
  finished normal.
  `STARTED`
  started execution.
  `STOPPED`
  got stopped by user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScriptExecutionEvent.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScriptExecutionEvent.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STARTED

    public static final ScriptExecutionEvent.Type STARTED
    started execution.

  - ### FINISHED

    public static final ScriptExecutionEvent.Type FINISHED
    finished normal.

  - ### ERROR

    public static final ScriptExecutionEvent.Type ERROR
    finished with error.

  - ### STOPPED

    public static final ScriptExecutionEvent.Type STOPPED
    got stopped by user.

- ## Method Details

  - ### values

    public static ScriptExecutionEvent.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ScriptExecutionEvent.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null